<?php 


include_once (get_template_directory() . '/functions/ena-functions.php');

//////////////////////////////////////////////////////////////////////////////
// Register And Enqueue Files
//////////////////////////////////////////////////////////////////////////////

function enamag_scripts(){
  // bootstrap 
wp_enqueue_style( 'bootstrap', get_template_directory_uri(). '/css/bootstrap.min.css', array(  ) );

  // font awesome
wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '' );
wp_enqueue_style( 'flexslider', get_template_directory_uri() . '/css/flexslider.css', array(), '' );

// prettyphoto
wp_enqueue_style( 'prettyphoto', get_template_directory_uri() . '/css/prettyPhoto.css', array(), '' );

  // style.css
wp_enqueue_style( 'enamag-style', get_stylesheet_uri());
  
 // responsive
wp_enqueue_style('enamag-responsive', get_template_directory_uri() . '/css/ena-responsive.css');

 // Navbar
wp_enqueue_style('enamag-navbar', get_template_directory_uri() . '/css/ena-navbar.css');

 // Add Theme js
wp_enqueue_script('enamag', get_template_directory_uri() . '/js/enamag.js', array('jquery'), false, true);

 // Add Masonry Plugin
wp_enqueue_script( 'jquery-masonry' );

 // Add Various Scripts (prettyPhoto, FlexSlider, Bootstrap, Cycle)
wp_enqueue_script( 'enamag-various-script', get_template_directory_uri() . '/js/ena-var-scripts.js', array( 'jquery' ) ,'', true);

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
    wp_enqueue_script( 'comment-reply' );
  }
  
}

//////////////////////////////////////////////////////////////////////////////
// Default Sidebar 
//////////////////////////////////////////////////////////////////////////////
 /**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function enamag_widgets_init() {

  register_sidebars( 1,array(
    'name' => __( 'Sidebar', 'enamag' ),
    'id'=> 'primary-sidbar',
    'description' => __( 'Primary Sidebar.', 'enamag' ),
    'before_widget' => '<aside id ="%1$s" class="sidebar-widget mag-widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<h4 class="widgetTitle"><span>',
    'after_title' => '</span></h4>',

    ));

   register_sidebars( 1,array(
    'name' => __( 'Homepage', 'enamag' ),
    'id'=> 'home-sidbar',
    'description' => __( 'Use this widget area for customize your homepage in magazine layout.', 'enamag' ),
    'before_widget' => '<aside id ="%1$s" class="mag-widget main_widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<h4 class="widgetTitle"><span>',
    'after_title' => '</span></h4>',

    ));
  
register_sidebars( 3,array(
    'name' => __( 'Footer Widget area %d', 'enamag' ),
    'id'=> 'footer-widget-area',
    'description' => __( 'Footer widget area.', 'enamag' ),
    'before_widget' => '<aside id ="%1$s" class="footer-widget mag-widget %2$s">',
    'after_widget' => '</aside>',
    'before_title' => '<h4 class="widgetTitle"><span>',
    'after_title' => '</span></h4>',

    ));
}
add_action( 'widgets_init', 'enamag_widgets_init' );

//Enqueue Scripts and Style 
add_action( 'wp_enqueue_scripts', 'enamag_scripts' );
//////////////////////////////////////////////////////////////////////////////
// Add Thumbnails Support
//////////////////////////////////////////////////////////////////////////////

if ( ! function_exists( 'enamag_setup' ) ) :
/**
 * EnaMag setup.
 *
 * Set up theme defaults and registers support for various WordPress features.
 *
 * @since EnaMag 1.0
 */
function enamag_setup() {

//This theme styles the visual editor to resemble the theme style. 
  add_editor_style( array( 'css/editor-style.css') );
  
if ( ! isset( $content_width ) ) {
  $content_width = 600;
}
//////////////////////////////////////////////////////////////////////////////
// Add Theme Support and Image Size
//////////////////////////////////////////////////////////////////////////////

// Enable support for Post Thumbnails.
  add_theme_support( 'post-thumbnails' );
  add_theme_support( 'automatic-feed-links' );
  add_theme_support( 'title-tag' );
  add_theme_support( 'custom-header' );
  add_theme_support( 'custom-background' );
  set_post_thumbnail_size( 672, 372, true );


//Switch default core markup for comment form, and comments to output valid HTML5.
  add_theme_support( 'html5', array(
    'comment-form', 'comment-list',
  ) );

// Custom logo support
  add_theme_support( 'custom-logo', array(
  'height'      => 75,
  'width'       => 250,
  'flex-height' => true,
  'flex-width'  => true,
  ) );

//Add other image size
add_image_size( 'enamag-small', 55, 55, true );
add_image_size( 'enamag-large', 290, 195, true );
add_image_size( 'enamag-scroller', 110, 55, true );
add_image_size( 'enamag-thumb', 136, 68, true );
add_image_size( 'enamag-slider-small', 620, 310, true );
add_image_size( 'enamag-single', 680,340 , true );
add_image_size( 'enamag-slider-big', 1020, 510, true );
add_image_size( 'enamag-widget', 400, 215, true );//widget slider

// EnaMag theme uses wp_nav_menu() in two locations.
  register_nav_menus( array(
    'primary'   => __( 'Primary Menu', 'enamag' ),
  ) );
  
}
endif; // enamag_setup

add_action( 'after_setup_theme', 'enamag_setup' );
/**
 * Add widgets.
 */

 include_once ( get_template_directory() . '/widgets/ena-widget-social.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-tabs.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-video.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-horizontal-scroll.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-cat.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-cat-columns.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-thumb-large.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-large.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-thumb.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-ad300.php' );
 include_once ( get_template_directory() . '/widgets/ena-widget-separator.php' );
