<?php

// Widget class
class Ena_Widget_Ad300 extends WP_Widget {

/*-----------------------------------------------------------------------------------*/
/*	Widget Setup
/*-----------------------------------------------------------------------------------*/

 public function __construct() {
    parent::__construct(
      'ad-300', // Base ID
      __( 'Ena - 300x250 Ad', 'enamag' ), // Widget Name
      array(
        'classname' => 'widget-ad300',
        'description' => __( 'A widget for 300 x 250 ad .', 'enamag' ),
      ),
      array(
        'width' => 250,
      )
    );
  }
/*-----------------------------------------------------------------------------------*/
/*	Display Widget
/*-----------------------------------------------------------------------------------*/


/**
* Widget output.
*
* @since  1.0
*
* @access public
* @param  array $args
* @param  array $instance
*/
public function widget( $args, $inst ) {
 	extract( $args );
	$ad300 = $inst['ad300'];
	$color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '';
	$title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
	$title = apply_filters( 'widget_title', $title, $inst, $this->id_base );
if (! empty( $inst['ad300'] ) ) { $ad300 = wp_kses_post( $inst['ad300'] ); }

echo $before_widget; ?>

<h4 class="widgetTitle">

<?php if ($title && !empty($title )) {
	echo '<span>'.$title.'</span>';
} ?>

 </h4> 
 <div class="widgetBody" style="border-color:<?php echo $color.' transparent' ; ?>">
 	<div class="ad300">

 		<?php echo $ad300; ?>

 	</div>
 </div>

<?php
echo $after_widget;

}

/**
* Saves widget settings.
*
* @since  1.0
*
* @access public
* @param  array $new_instance
* @param  array $old_instance
* @return array
*/
public function update($new_instance,$old_instance){
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
	$instance['background_color'] = $new_instance['background_color'];
	$instance['ad300'] = $new_instance['ad300'];

	return $instance;
}
/**
* Prints the settings form.
*
* @since  1.0
*
* @access public
* @param  array $instance
*/
public function form( $inst ) {
// Defaults

	$title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
	$background_color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500 ';
	$ad300  = isset( $inst['ad300'] ) ?  $inst['ad300']  : '';
?>

<p>
    <label for="<?php echo $this->get_field_id( 'background_color' ); ?>"><?php _e('Border Color:', 'enamag');?><br></label>
	<input class="color-picker" type="text" id="<?php echo $this->get_field_id( 'background_color' ); ?>" name="<?php echo $this->get_field_name( 'background_color' ); ?>" value="<?php echo  $background_color ; ?>" />                            
</p>   
    
<p>
	<label for="<?php  echo $this->get_field_id("title") ;?>"><?php _e('Title:', 'enamag');?> </label>
	<input class="widefat" value="<?php echo $title;?>" name="<?php  echo $this->get_field_name("title") ;?>" type="text" id="<?php  echo $this->get_field_id("title") ;?>"/>
</p>

<p>
	<label for="<?php echo $this->get_field_id( 'ad300' ); ?>"><?php _e('Ad image code:', 'enamag') ?></label>
	<textarea class="widefat" id="<?php echo $this->get_field_id( 'ad300' ); ?>" name="<?php echo $this->get_field_name( 'ad300' ); ?>" rows="16" cols="20" ><?php echo esc_textarea($ad300); ?></textarea>
</p>

<?php
	}
}

add_action( 'widgets_init', 'ena_widget_ad300' );
function ena_widget_ad300() {
	register_widget( 'Ena_Widget_Ad300' );
}
