<?php

// Widget class
class Ena_Widget_Category_Columns extends WP_Widget{

/*-----------------------------------------------------------------------------------*/
/*  Widget Setup
/*-----------------------------------------------------------------------------------*/
 public function __construct() {
    parent::__construct(
      'category_columns_widget', // Base ID
      __( 'Ena - Post in columns', 'enamag' ), // Widget Name
      array(
        'classname' => 'widget-columns col-double',
        'description' => __( 'Show posts in three columns.', 'enamag'),
      ),
      array(
        'width' => 250,
      )
    );

  }
/*-----------------------------------------------------------------------------------*/
/*  Display Widget
/*-----------------------------------------------------------------------------------*/

  /**
   * Widget output.
   *
   * @since  1.0
   *
   * @access public
   * @param  array $args
   * @param  array $inst
   */
  public function widget($args,$inst){
    extract($args);
    // Background Title Color
    $color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500';
    $title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
    $title = apply_filters( 'widget_title', $title, $inst, $this->id_base );
    $offset = $excerpt = $cats_id = $nbr_posts = null;

      if (! empty( $inst['offset'] ) ) { $offset = esc_attr( $inst['offset'] ); }
      if (! empty( $inst['excerpt'] ) ) { $excerpt = esc_attr( $inst['excerpt'] ); }
      if (! empty( $inst['cats_id'] ) ) { $cats_id = esc_attr( $inst['cats_id'] ); }
      if (! empty( $inst['nbr_posts'] )) { $nbr_posts = esc_attr( $inst['nbr_posts'] ); }

    echo $before_widget; ?>

    <h4 class="widgetTitle" style="background:<?php echo $color ; ?>!important">

    <?php
    if ( $title && !empty( $title ) ){ 

      echo '<span>'.$title.'</span>';
    } 
?>
      </h4>
      <div class="widgetBody" style="border-color:<?php echo $color.' transparent' ; ?>">
        <div class="controls">
          <span class="controlLeft_<?php echo $this->number; ?> control"  style="background:<?php echo $color; ?>"><i class='fa fa-angle-left'></i></span>
          <span class="controlRight_<?php echo $this->number; ?> control"  style="background:<?php echo $color; ?>"><i class='fa fa-angle-right'></i></span>
        </div>
        <div class="cycle-slideshow firstcat firstcat_<?php echo $this->number; ?>" >

          <?php 
          global $post;
          $args = array(
            'numberposts' =>$nbr_posts,
            'cat' => $cats_id,
            'offset'=>$offset,
            );

          $myposts = get_posts( $args );
          $count = 1;

          foreach ( $myposts as $key => $post ) : setup_postdata( $post );
          if ( $count%3 == 1 ){  
            echo "<div>";
            }
          ?>

          <div class="group_items_<?php echo $this->number; ?> cycle-content <?php echo 'box'.$key; ?>" >
            <div class="primaryPost">
               <div class="excerpt-img">                  
                <a href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
                <?php the_post_thumbnail('enamag-widget'); ?>
                  </a>
                  <a href="<?php the_post_thumbnail_url(); ?>" class="prettyPhoto" title="<?php the_title_attribute(); ?>" >

                <div class="tumbOptions magOpacity"><span class='fa fa-arrows-alt'></span></div>
                </a></div>
              <div class="post-contentPrimary">
                <h3 class="post-titlePrimary">
                  <a href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
                      <?php the_title(); ?>
                  </a>
                </h3>
                <span class="box-meta">
                  <?php enamag_post_meta() ?>
                </span>
                  <?php if ($excerpt): ?>
                <div class="excerpt">
                <?php the_excerpt(); ?>
                </div>
              <?php endif; ?>
                        </div>
            </div> 
            <div class="clear"></div>
          </div>
          <?php if ( $count%3 == 0 ){
            echo "</div>";
           }
          $count++;
         endforeach; 
         wp_reset_postdata();
         ?>

      <div class="clear"></div>
      </div>
    </div>

<?php

    echo $after_widget;

  }

  public function update($new_instance,$old_instance){
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['nbr_posts'] = (int)$new_instance['nbr_posts'];
    $instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
    $instance['background_color'] = $new_instance['background_color'];
    $instance['excerpt'] = (bool) $new_instance['excerpt'];
    $instance['offset'] = (int)$new_instance['offset'];

    return $instance;
  }

  public function form($inst){
  
     $title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
     $background_color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500';
     $category = isset( $inst['cats_id'] ) ? esc_attr( $inst['cats_id'] ) : '';
     $nbr_posts = isset( $inst['nbr_posts'] ) ? esc_attr( $inst['nbr_posts'] ) : '3';
     $excerpt = isset( $inst['excerpt'] ) ? (bool) esc_attr( $inst['excerpt'] )  : ''; 
     $offset = isset( $inst['offset'] ) ? esc_attr( $inst['offset'] ) : '0';

    $cats_id = explode ( ',' , $category ) ;
    $categories_obj = get_categories();
    $categories = array();

    foreach ( $categories_obj as $pn_cat ) {
      $categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
    }
    ?>

    <p>
    <label for="<?php echo $this->get_field_id( 'background_color' ); ?>"><?php _e( 'Border Color:', 'enamag' );?><br></label>
      <input class="widefat color-picker" type="text" id="<?php echo $this->get_field_id( 'background_color' ); ?>" name="<?php echo $this->get_field_name( 'background_color' ); ?>" value="<?php echo  $background_color ; ?>" />                            
    </p>
    <p>
      <label for="<?php  echo $this->get_field_id("title") ;?>"><?php _e( 'Title:', 'enamag' ); ?></label>
      <input class="widefat" value="<?php echo $title ;?>" name="<?php  echo $this->get_field_name("title") ;?>" type="text" id="<?php  echo $this->get_field_id("title") ;?>"/>
    </p>
    <p>
      <label for="<?php  echo $this->get_field_id("Cat_id") ;?>"><?php _e( 'Select Category:', 'enamag' );?></label>
      <select class="widefat" multiple="multiple" id="<?php echo $this->get_field_id( 'cats_id' ); ?>[]" name="<?php echo $this->get_field_name( 'cats_id' ); ?>[]">
        <?php foreach ($categories as $key => $option) { ?>
        <option value="<?php echo $key ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo $option.' ( '.get_category_by_slug($option)->count.' Post(s) )'; ?></option>
        <?php  } ?>
      </select>   
    </p>
     <p>
      <label for="<?php  echo $this->get_field_id("excerpt") ;?>"><?php _e('Excerpt:', 'enamag');?> </label>
      <input <?php checked( $excerpt); ?> type="checkbox"  name="<?php  echo $this->get_field_name("excerpt") ;?>" id="<?php  echo $this->get_field_id("excerpt") ;?>" />
    </p>
     <p>
      <label for="<?php  echo $this->get_field_id("offset") ;?>"><?php _e( 'Offset (Number of posts to pass over):', 'enamag' ); ?></label>
      <input  value="<?php echo $offset;?>" type="text" size="3" name="<?php  echo $this->get_field_name("offset") ;?>" id="<?php  echo $this->get_field_id("offset") ;?>" />
    </p>
    <p>
      <label for="<?php  echo $this->get_field_id("nbr_posts") ;?>"><?php _e( 'Number of posts to show:', 'enamag' ); ?></label>
      <input  value="<?php echo $nbr_posts;?>" type="text" size="3" name="<?php  echo $this->get_field_name("nbr_posts") ;?>" id="<?php  echo $this->get_field_id("nbr_posts") ;?>" />
    </p>

    <?php
  }
}

add_action( 'widgets_init', 'ena_widget_category_columns' );
function ena_widget_category_columns() {
  register_widget( 'Ena_Widget_Category_Columns' );
}