<?php

// Widget class
class Ena_Widget_Separator extends WP_Widget{

/*-----------------------------------------------------------------------------------*/
/*  Widget Setup
/*-----------------------------------------------------------------------------------*/
 public function __construct() {
    parent::__construct(
      'separator_widget', // Base ID
      __( 'Ena - Separator', 'enamag' ), // Widget Name
      array(
        'classname' => 'widget-separator col-double',
        'description' => __( 'Section Title.', 'enamag' ),
      ),
      array(
        'width' => 250,
      )
    );
  }
/*-----------------------------------------------------------------------------------*/
/*  Display Widget
/*-----------------------------------------------------------------------------------*/

  /**
   * Widget output.
   *
   * @since  1.0
   *
   * @access public
   * @param  array $args
   * @param  array $inst
   */
  public function widget( $args,$inst ){
  	extract( $args );
		// Background Title Color
  	$color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500';
    $title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
    $title = apply_filters( 'widget_title', $title, $inst, $this->id_base );
    $offset = $excerpt = null;

  	echo $before_widget;?>

    <h4 class="widgetTitle" style="background:<?php echo $color ; ?>!important">

        <?php if ( $title && !empty( $title ) ){ 
          echo '<i class="fa fa-bars"></i>' ;
          echo '<span>'.$title.'</span>' ;

          }
           echo '</h4>'; 

  	echo $after_widget;

  }
  public function update( $new_instance,$old_instance ){
  	$instance  = $old_instance;
    $instance['title']  = strip_tags($new_instance['title']);
    $instance['background_color']	= $new_instance['background_color'];
   

  	return $instance;
  }

  public function form($inst){
  
  	    $title  = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
        $background_color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500';
  	?>

  	<p>
    <label for="<?php echo $this->get_field_id( 'background_color' ); ?>"><?php _e( 'Border Color:', 'enamag' );?><br></label>
      <input class="widefat color-picker" type="text" id="<?php echo $this->get_field_id( 'background_color' ); ?>" name="<?php echo $this->get_field_name( 'background_color' ); ?>" value="<?php echo  $background_color ; ?>" />                            
    </p>

    <p>
      <label for="<?php  echo $this->get_field_id( "title" ) ;?>"><?php _e( 'Title:', 'enamag' ); ?></label>
      <input class="widefat" value="<?php echo $title ;?>" name="<?php  echo $this->get_field_name( "title" ) ;?>" type="text" id="<?php  echo $this->get_field_id( "title ") ;?>"/>
    </p>

    <?php
 }
}

add_action( 'widgets_init', 'ena_widget_separator' );
function ena_widget_separator() {
  register_widget( 'Ena_Widget_Separator' );
}
