<?php

// Widget class
class Ena_Widget_Tabs extends WP_Widget {

/*-----------------------------------------------------------------------------------*/
/*  Widget Setup
/*-----------------------------------------------------------------------------------*/

  public function __construct() {
    parent::__construct(
      'tabs_widget', // Base ID
      __( 'Ena - Tabs', 'enamag' ), // Widget Name
      array(
        'classname' => 'widget-tabs',
        'description' => __( 'Tabs: Recent, Category, Popular ...', 'enamag'),
      ),
      array(
        'width' => 250,
      )
    );

  }
/*-----------------------------------------------------------------------------------*/
/*  Display Widget
/*-----------------------------------------------------------------------------------*/

  /**
   * Widget output.
   *
   * @since  1.0
   *
   * @access public
   * @param  array $args
   * @param  array $inst
   */
  public function widget( $args, $instance ) {
    global $post; 

    extract( $args );
     // Background Title Color
    $color = isset($instance['background_color'] ) ? esc_attr( $instance['background_color'] ) : '#FFA500';
    $title = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
    $title = apply_filters( 'widget_title', $title, $instance, $this->id_base );
    $number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 5;
    if ( ! $number )
      $number = 5;

    ?>

    <?php echo $before_widget; ?>

     <h4 class="widgetTitle" style="background:<?php echo $color ; ?>!important">

    <?php if ( $title && !empty( $title ) ){ ?>

        <?php echo '<span>'.$title.'</span>' ;

  } ?>

    </h4>
    <div class="widgetBody enamag-tabs" style="border-color:<?php echo $color.' transparent' ; ?>" >
    <div class="headings">
<?php
    for( $i=1; $i <= 4; $i++ ) {
     if( $instance['tab_label_' . $i] && $instance['tab_content_' . $i] ) {

        ?>
        <a href="#tabs-<?php echo $i.'-'.$this->number; ?>" title="<?php echo  $instance['tab_label_' . $i]; ?>" class=""><?php echo  $instance['tab_label_' . $i]; ?></a>

        <?php
     }  
    }
                ?>

<div class="clear"></div>
</div>
<div class="tabs-wrap">

<?php
                    for($j=1; $j <= 4; $j++) {
      if($instance['tab_label_' . $j] && $instance['tab_content_' . $j] ) {

                    ?>
<div class="tab" style="display: none;" id="tabs-<?php echo $j.'-'.$this->number; ?>">
                        <?php $this->loadTabContent($instance['tab_content_' . $j], $number); ?>

</div>
                    <?php
                      }  
                    }
                     ?>

<div class="clear"></div>
</div>
<div class="clear"></div>
                </div><!--widgetBody-->
             
     <script type="text/javascript">

jQuery(document).ready(function($){

    var widgetID =' #tabs_widget-<?php echo $this->number; ?>';

    $(widgetID+' '+'.enamag-tabs').each(function(){

    $(this).find('.headings a').first().addClass('active').parent().siblings().children().first().show();
    $(this).find('.headings a').first().css('border-bottom','1px solid <?php echo $color ; ?>')
    $(this).find('.headings a').click(function(event){
    event.preventDefault();

    var active_tab = $(this).attr('href');
    $(this).addClass('active').siblings().removeClass('active');
    $(this).css('border-bottom','1px solid <?php echo $color ; ?>').siblings().css('border-bottom','0px');

    $(this).parent().siblings().children().hide();
    $(this).parent().siblings().children(active_tab).show();
    $('#mainSideBar,#mainContent').masonry( 'reload' );


        });
    });
});
</script>

     <?php echo $after_widget;
 }

public function loadTabContent( $type, $number )
    {
        switch ($type) {
             case 'popular':
             global $post; 
             $args = array( 'numberposts' => $number,'orderby'=>'comment_count' );?>
            <ul style="background-color:transparent;padding:5px;">
            <?php $myposts = get_posts( $args );
             foreach ( $myposts as $post ): setup_postdata( $post ); 
            ?>
            
                <li class="post-list-thumbnail">
                    <a class="thumb-lik" href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
                        <?php the_post_thumbnail( 'thumbnail' ) ?>
                    </a>
                   
                    <div class="content">
                        <a  class="post-title" href='<?php esc_url( the_permalink() ); ?>' title='<?php the_title_attribute(); ?>' >
                            <?php the_title(); ?>
                        </a>
                        <span class="box-meta">
                           <?php enamag_post_meta() ?>
                       </span>
                   </div> <!-- .content -->
                </li>
                
            <?php 
                endforeach; 
                // rewind
                rewind_posts();
            ?>

            </ul>
            <div class="clear"></div>

            <?php
            
            break;
           
             case 'posts':
             global $post; 
             $args = array( 'numberposts' => $number );?>
             <ul  style="background-color:transparent;padding:5px;">
            <?php 
             $myposts = get_posts( $args );
             foreach ( $myposts as $post ): setup_postdata( $post ); 

            ?>
            
                <li class="post-list-thumbnail">
                    <a class="thumb-lik" href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
                        <?php the_post_thumbnail( 'thumbnail' ) ?>                    
                    </a>
                
                    <div class="content">
                        <a class="post-title" href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
                        <?php the_title(); ?>
                        </a>
                        <span class="box-meta">
                         <?php enamag_post_meta() ?>
                        </span>
                     </div>
                </li>
              <?php 
                  endforeach; 
                  wp_reset_postdata();
              ?>
              </ul>
                 <div class="clear"></div>

                
            <?php
            break;
            case 'pages':
            ?>
                <div class="ena_widget_pages">
                    <ul class="list-tab">
                        <?php wp_list_pages('title_li=&sort_column=&number='.$number.'' ); ?>
                    </ul>
                </div>
            <?php
            break;
            
            case 'categories':
            ?>
                <div class="ena_widget_categories">
                    <ul class="list-tab">
                        <?php wp_list_categories( 'hide_empty=0&show_count=0&depth=1&number=10&title_li=' ); ?>
                    </ul>
                </div>
            <?php
            break;
            
            case 'tags':
            ?>
                <div class="widget">
                    <div class="tags-widget">
                        <?php wp_tag_cloud( 'largest=16&format=flat' ); ?>
                    </div>
                </div>
            <?php
            break;
            
            case 'calendar':
            ?>
                <div class="widget">
                    <ul>
                        <?php get_calendar(); ?> 
                    </ul>
                </div>
            <?php
            break;
            
            case 'archives':
            ?>
                <div class="ena_widget_archive">
                    <ul class="list-tab">
                        <?php wp_get_archives( 'type=monthly' ); ?>
                    </ul>
                </div>
            <?php
            break;
            
           case 'search':
            ?>
                <div class="widget">
                    <ul>
                        <?php get_search_form(); ?>
                    </ul>
                </div>
            <?php
            break;
        }
    }
    /**
     * Saves widget settings.
     *
     * @since  1.0
     *
     * @access public
     * @param  array $new_instance
     * @param  array $old_instance
     * @return array
     */
  public function update( $new_instance, $old_instance ) 
    {               
        $instance = $old_instance;
        $instance['title'] = strip_tags( $new_instance['title'] );
        $instance['number'] = absint( $new_instance['number'] );
        $instance['background_color'] = $new_instance['background_color'];

        for($i=1; $i <= 4; $i++) {
            $instance['tab_label_' . $i] = strip_tags( $new_instance['tab_label_' . $i] );
            $instance['tab_content_' . $i] = strip_tags( $new_instance['tab_content_' . $i] );
        }
        return $instance;
    }
    /**
     * Prints the settings form.
     *
     * @since  1.0
     *
     * @access public
     * @param  array $inst
     */
   public function form( $instance ) 
    {   
        // Defaults
        $title  = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
        $background_color = isset( $instance['background_color'] ) ? esc_attr( $instance['background_color'] ) : '#FFA500';
        $number = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
        ?>

         <p>
            <label for="<?php echo $this->get_field_id( 'background_color' ); ?>"><?php _e( 'Border Color:', 'enamag' );?><br></label>
            <input class="color-picker" type="text" id="<?php echo $this->get_field_id( 'background_color' ); ?>" name="<?php echo $this->get_field_name( 'background_color' ); ?>" value="<?php echo  $background_color ; ?>" />                            
        </p>
            
        <p>
            <label for="<?php  echo $this->get_field_id( "title" ) ;?>"><?php _e( 'Title:', 'enamag' ); ?></label>
            <input class="widefat" value="<?php echo $title;?>" name="<?php  echo $this->get_field_name( "title" ) ;?>" type="text" id="<?php  echo $this->get_field_id("title") ;?>"/>
        </p>
        <p>
            <label for="<?php  echo $this->get_field_id( "number" ) ;?>"><?php _e( 'Number of posts to show:', 'enamag' ); ?></label>
            <input class="widefat" value="<?php echo $number;?>" name="<?php  echo $this->get_field_name( "number" ) ;?>" type="text" id="<?php  echo $this->get_field_id("number") ;?>"/>
        </p>

        <?php
        for( $i=1; $i <= 4; $i++ ) {
          $instance['tab_label_' . $i] =isset( $instance['tab_label_' . $i] ) ? esc_attr( $instance['tab_label_' . $i] ) : 'label'.$i;
          $instance['tab_content_' . $i] =isset( $instance['tab_content_' . $i] ) ? esc_attr( $instance['tab_content_' . $i] ) : 'posts';
        ?>

        <div class="tt-widget">
                <div class="tt-widgettitle"><?php echo __( 'Tab # ', 'enamag' ).$i ?></div>
                <table width="100%">
                    <tr>
                        <td class="tt-widget-label" width="30%"><label for="<?php echo $this->get_field_id( 'tab_label_' . $i ); ?>"><?php _e( 'Label:', 'enamag' );?></label></td>
                        <td class="tt-widget-content" width="70%"><input class="widefat" id="<?php echo $this->get_field_id( 'tab_label_' . $i ); ?>" name="<?php echo $this->get_field_name('tab_label_' . $i); ?>" type="text" value="<?php echo esc_attr($instance['tab_label_' . $i]); ?>" /></td>
                    </tr>
                    <tr>
                        <td class="tt-widget-label"><label for="<?php echo $this->get_field_id( 'tab_content_' . $i ); ?>"><?php _e( 'Display Content:', 'enamag' );?></label></td>
                        <td class="tt-widget-content">
                            <select class="widefat" name="<?php echo $this->get_field_name( 'tab_content_' . $i ); ?>" id="<?php echo $this->get_field_id( 'tab_content_' . $i ); ?>">
                                <option value=""><?php _e( 'Remove Tab', 'enamag' );?></option>
                                <option value="posts" <?php selected('posts', $instance['tab_content_' . $i]); ?>><?php _e( 'Recent Posts', 'enamag' );?></option>
                                <option value="pages" <?php selected('pages', $instance['tab_content_' . $i]); ?>><?php _e( 'Pages', 'enamag' );?></option>
                                <option value="categories" <?php selected('categories', $instance['tab_content_' . $i]); ?>><?php _e( 'Categories', 'enamag' );?></option>
                                <option value="tags" <?php selected('tags', $instance['tab_content_' . $i]); ?>><?php _e( 'Tag Cloud', 'enamag' );?></option>
                                <option value="popular" <?php selected('popular', $instance['tab_content_' . $i]); ?>><?php _e( 'Popular', 'enamag' );?></option>
                                <option value="archives" <?php selected('archives', $instance['tab_content_' . $i]); ?>><?php _e( 'Monthly Archives', 'enamag' );?></option>
                                <option value="search" <?php selected('search', $instance['tab_content_' . $i]); ?>><?php _e( 'Search Form', 'enamag' );?></option>
                            </select>
                        </td>
                    </tr>
                </table>
        </div>

        <?php
        }
    }
}

add_action( 'widgets_init', 'ena_widget_tabs' );
function ena_widget_tabs() {
  register_widget( 'Ena_Widget_Tabs' );
}
